%define oname luasec

Name: lua5.3-module-%oname
Version: 1.2.0
Release: alt1
Summary: A binding for OpenSSL library to provide TLS/SSL communication over LuaSocket
License: MIT
Group: Development/Other
Url: https://github.com/brunoos/luasec/wiki

%if "5.3" >= "5.3"
Obsoletes: lua-module-%oname < %EVR
Provides: lua-module-%oname = %version
%endif

Source: luasec-%version.tar

BuildRequires(pre): liblua5.3-devel lua5.3
BuildRequires: lua5.3-module-luasocket-devel libssl-devel

%description
This version delegates to LuaSocket the TCP connection establishment between
the client and server. Then LuaSec uses this connection to start a secure
TLS/SSL session.

%prep
%setup -n %oname-%version

%build
# regenerate OpenSSL options
pushd src
%lua options.lua -g /usr/include/openssl/ssl.h > options.c
popd

%make_build linux \
	CFLAGS="%optflags -DWITH_LUASOCKET -DLUASOCKET_DEBUG -DLUA_COMPAT_APIINTCASTS" \
	#

%install
%makeinstall_std \
	LUAPATH=%lua_modulesdir_noarch \
	LUACPATH=%lua_modulesdir \
	#

%files
%doc CHANGELOG LICENSE* README*
%lua_modulesdir/*
%lua_modulesdir_noarch/*

%changelog
* Tue Aug 30 2022 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.2.0-alt1
- Updated to 1.2.0.

* Mon Jul 04 2022 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.0.2-alt1
- Updated to 1.0.2.
- Built from tarball.

* Fri Jun 07 2019 Ildar Mulyukov <ildar@altlinux.ru> 0.8-alt1_lr1
- autogenerated by lrimport
- restuctured according to https://www.altlinux.org/Lua_Policy

* Wed Aug 29 2018 Grigory Ustinov <grenka@altlinux.org> 0.6-alt2.1
- NMU: Rebuild with new openssl 1.1.0.

* Thu Jul 13 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 0.6-alt2
- Rebuild with new luarocks and lua-5.3

* Tue Nov 01 2016 Ildar Mulyukov <ildar@altlinux.ru> 0.6-alt1_lr1
- autogenerated by lrimport

